GET api/Order?productId={productId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| productId | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of GetMaxPPIViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| productId | integer |
None. |
|
| quantity | decimal number |
None. |
|
| negotiatedPricePerItem | decimal number |
None. |
|
| totalAmount | decimal number |
None. |
|
| status | string |
None. |
|
| orderLineQuantityStatus | string |
None. |
|
| orderlineDateTime | date |
None. |
|
| orderId | integer |
None. |
|
| maxPPI | integer |
None. |
|
| model | string |
None. |
|
| Time | string |
None. |
|
| Date | string |
None. |
|
| categoryId | integer |
None. |
|
| category | string |
None. |
|
| conditionId | integer |
None. |
|
| condition | string |
None. |
|
| brandId | integer |
None. |
|
| brand | string |
None. |
|
| marketvalueGBP | decimal number |
None. |
|
| marketValueSpecificCurr | decimal number |
None. |
|
| stockCount | integer |
None. |
|
| stockAmended | string |
None. |
|
| lastAmendedDateValue | string |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": 1,
"productId": 2,
"quantity": 1.0,
"negotiatedPricePerItem": 1.0,
"totalAmount": 1.0,
"status": "sample string 3",
"orderLineQuantityStatus": "sample string 4",
"orderlineDateTime": "2026-03-11T04:39:50.4124565+00:00",
"orderId": 1,
"maxPPI": 1,
"model": "sample string 6",
"time": "sample string 7",
"date": "sample string 8",
"categoryId": 1,
"category": "sample string 9",
"conditionId": 1,
"condition": "sample string 10",
"brandId": 1,
"brand": "sample string 11",
"marketvalueGBP": 1.0,
"marketValueSpecificCurr": 1.0,
"stockCount": 1,
"stockAmended": "sample string 12",
"lastAmendedDateValue": "sample string 13"
},
{
"$ref": "1"
}
]